// Variables
VAR gotPieceForWaitingRoom = false

/*--------------------------------------------------------------------------------

	Start the story!

--------------------------------------------------------------------------------*/

// First diversion: where do we begin?
-> waiting_room

=== waiting_room === 

//  Waiting Room
	- 	I really don't feel like being here...
		*	[<i>...again.</i>]Again.
	    Is this even doing something to me? 

	- (opts)
 		* 	(dont_think) [I don't think so.] 
 			It's been a year since I've started; yet, I don't feel any different.
 			I can't remember the last time I was truly happy. It seems to have been so long ago. I was never a happy person, but I know I've felt happiness.
 			Now...
 			    * * I crumple the piece of paper peeking from my bag.
 			Even these pills don't take the nightmares away.
 			
 			-> reflected
			
 		*	(maybe) [Maybe?]
 			I don't know who I am anymore. Some days are better than others, but the painful days still overtake the good ones. He tells me I can't dwell on the past.
 			How does one <i>not</i> dwell on the past?

 			* * 	(dwell) [I can't.] 
	 				I can't prevent being afraid of repeats. It broke me more than I thought it was ever possible; what if it happens again?
	 				I won't be able to live through the pain.
	 				
	 		* * 	(not_dwell) [I don't know.] 
		 			~ gotPieceForWaitingRoom  = true
		 		    Maybe someday I'll comeback from all of this. Maybe someday I won't be afraid anymore, regain strength and be able to fight back without the fear of losing again.
		 		    I still don't know how. But maybe, just maybe, I'll be able to.
		 		    
		 	    * * * I glance at the folded piece of paper peeking from my bag.
		 	    
		 	- These pills seem to have stopped doing anything.
		 	-> reflected
            
		*   (speechless) [...]		
		    -> waited
	
= reflected
    - {dont_think: I think | Maybe} they are placebos.
    I notice a loose thread on the hem of my dark, scruffy jacket's sleeve. {dont_think: I fidget with it | I tear it out} while scanning the bleak waiting room.
    The room is as impersonal as always; frayed plastic chairs, ashen coloured seats mixed with the grime left uncleaned. The TV is on in some ordinary channel's afternoon show, the muted sound rendering it useless. {gotPieceForWaitingRoom: The only difference? The generic elevator music playing as a soundtrack of my stay.}
      
    To my left sits a person about the same age as mine. I spot them before they can notice my searching eyes. Not that they're looking at the faceless people around.//TODO DIFFERENT DAYS RANDOMIZE THIS
    
    They sit stiffly on the chair, glancing between TV, phone, and office doors. Making themselves smaller than they are.

    For some unknown reason, they aren't faceless. In a way, they even remind me of myself a year ago, sitting in this very same waiting room... //TODO DIFFERENT DAYS RANDOMIZE THIS
        
        * Misty eyes hinting at tears[.], ready to topple down any moment.
        * Red, barren eyes[.], dried up after weeks of crying alone in my room.
    
    - I notice the way their hands shake lightly, holding the blocky phone, screen protector faintly scratched. //TODO DIFFERENT DAYS RANDOMIZE THIS
    
        * {gotPieceForWaitingRoom} Maybe it's their first time[.], indeed.
        * I think I've seen them here before.
    
    - My bag rests on the chair that sets us apart. I lean in, reaching for it though unsure of what it is that I want. I want to...
        
        * ...comfort them. 
        { gotPieceForWaitingRoom:
	        -> talk
        - else:
            But my throat shuts tight, words impossible to escape my pressed lips. -> cant 
        }
        
        * ...get my phone.
            -> cant
        
    
    - (talk) "Is this your first time here?," I ask.
        I get no response.
    
    - (cant) Ours eyes meet each other's, soon breaking all of the contact.
    
    -> waited

= waited 
	-   I fetch my phone from my bag, checking the numbers on the screen. Late as always. My finger scrolls mindlessly by posts on a nondescript site, the hour not really flying by until I'm called into the office.
	    
		-> doctors_office

= doctors_office
    - "So, how have we been feeling lately?"
    "I don't really feel like being here today," I state matter-of-factly.
    "Why is that so?"
    "I don't know." As I speak, I over-fixate everything on top of the table, everywhere that is not his face.
    "You can't keep dwelling on the past."
    
    I know!, my brain screams.
    
    "I just- don't know how to escape this black hole I've falled into."
    
    
    
        -> END